Package org.springframework.context

# Interface EnvironmentAware

All Superinterfaces:
  `org.springframework.beans.factory.Aware`

All Known Implementing Classes:
  `ConfigurationClassPostProcessor`, `MBeanExportConfiguration`, `PropertySourcesPlaceholderConfigurer`

public interface EnvironmentAware extends org.springframework.beans.factory.Aware
Interface to be implemented by any bean that wishes to be notified of the `Environment` that it runs in.

Since:
  3.1
Author:
  Chris Beams
See Also:
  - `EnvironmentCapable`

## Method Summary

Modifier and Type
Method
Description
`void`
`setEnvironment(org.springframework.core.env.Environment environment)`
Set the `Environment` that this component runs in.

## Method Details

### setEnvironment

void setEnvironment(org.springframework.core.env.Environment environment)
Set the `Environment` that this component runs in.